Subject: bug#47836: tcl-mode indentation/quoting problems

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 04 May 2021 12:24:28 +0200

Hadrien Lacour <[email-masked]> writes:

> Hello, I have found the following problems in tcl-mode, examples show how Emacs
> indents them and what text I get with tcl-explain-indentation set to t
> (when relevant):
> * Indentation after declaring a proc goes to column 0, example:
> namespace eval myns {
> 	proc p1 {} {}
> variable x
> proc p2 {} {}
> }

I can reproduce this in Emacs 27, but it has been fixed in Emacs 28.

> * Procs named ? , ' or ^ botch indentation (thankfully only inside):
> proc ? {} {
> 	    puts hello
>        }
> puts world

This is still present in Emacs 28.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no